-- FILE: \GK_Escalators.lua
-- New level script file.
-- To include other script files, you can use require("filename") command.

local Util = require("Util")
Util.ShortenTENCalls()

-- Called when entering a level, either after leveljump, new game or loading game
LevelFuncs.OnStart = function() end

-- Called after loading from a save
LevelFuncs.OnLoad = function() end

-- Called after saving game
LevelFuncs.OnSave = function() end

-- Called on every frame of the game
-- dt stands for "delta time", and holds the time in seconds since the last call to OnControlPhase
LevelFuncs.OnControlPhase = function(dt) end

-- Called when level is ended, either after leveljump, quitting to title or loading game
LevelFuncs.OnEnd = function() end

LevelFuncs.MoveObject = function(activator, direction)

    local offset = Vec3(0,0,0)
    
    if (direction == "west") then
        offset.x = 11
    elseif (direction == "east") then
        offset.x = -11
    elseif (direction == "north") then
        offset.z = -11
    elseif (direction == "south") then
        offset.z = 11
    end
    
    activator:SetPosition(activator:GetPosition() + offset)
end